Debian Bug report logs - #501301
libaudio-flac-decoder-perl: source package contains proprietary flac file?

version graph

Package: libaudio-flac-decoder-perl; Maintainer for libaudio-flac-decoder-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libaudio-flac-decoder-perl is src:libaudio-flac-decoder-perl.

Reported by: Daniel Barlow <dan@telent.net>

Date: Mon, 6 Oct 2008 11:45:01 UTC

Severity: serious

Tags: etch, lenny, sid

Found in versions libaudio-flac-decoder-perl/0.2-2.2, libaudio-flac-decoder-perl/0.2-1

Fixed in version libaudio-flac-decoder-perl/0.2.dfsg-0.1

Done: Riku Voipio <riku.voipio@iki.fi>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>:
Bug#501301; Package libaudio-flac-decoder-perl. (Mon, 06 Oct 2008 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Barlow <dan@telent.net>:
New Bug report received and forwarded. Copy sent to Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>. (Mon, 06 Oct 2008 11:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Barlow <dan@telent.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libaudio-flac-decoder-perl: source package contains proprietary flac file?
Date: Mon, 06 Oct 2008 12:42:07 +0100
Package: libaudio-flac-decoder-perl
Version: 0.2-2.2+b1
Severity: normal

The file "test.flac" in the libaudio-flac-decoder-perl-0.2 source package
appears to be a commercial track by BT, and I can't see anything suggesting
that permission was obtained to distribute it in Debian.

:; flac123 test.flac 
flac123 version 0.0.9   'flac123 --help' for more info

Title  : Deeper Sunshine                Artist: BT                            
Album  : Ima (Disc 1)                   Year  : 1996
Comment:                                Genre : Electronic                    

See e.g. http://www.last.fm/music/BT/_/Deeper+Sunshine

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libaudio-flac-decoder-perl depends on:
ii  libc6                         2.7-13     GNU C Library: Shared libraries
ii  libflac8                      1.2.1-1.2  Free Lossless Audio Codec - runtim
ii  perl                          5.10.0-15  Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.10.0]    5.10.0-15  minimal Perl system

libaudio-flac-decoder-perl recommends no packages.

libaudio-flac-decoder-perl suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>:
Bug#501301; Package libaudio-flac-decoder-perl. (Sun, 19 Oct 2008 21:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>. (Sun, 19 Oct 2008 21:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 501301@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Daniel Barlow <dan@telent.net>, 501301@bugs.debian.org
Subject: Re: Bug#501301: libaudio-flac-decoder-perl: source package contains proprietary flac file?
Date: Mon, 20 Oct 2008 00:00:21 +0300
severity 501301 serious
found 501301 0.2-1
tag 0.2-1 etch
thanks

On Mon, Oct 06, 2008 at 12:42:07PM +0100, Daniel Barlow wrote:
> Package: libaudio-flac-decoder-perl
> Version: 0.2-2.2+b1
> Severity: normal
> 
> The file "test.flac" in the libaudio-flac-decoder-perl-0.2 source package
> appears to be a commercial track by BT, and I can't see anything suggesting
> that permission was obtained to distribute it in Debian.

> Title  : Deeper Sunshine                Artist: BT                            
> Album  : Ima (Disc 1)                   Year  : 1996
> Comment:                                Genre : Electronic                    
> 
> See e.g. http://www.last.fm/music/BT/_/Deeper+Sunshine

Thanks for the report. It's only the first 18 seconds of the track,
but I don't think that makes it OK.

I suppose I'm somewhat involved in this because I was the last to NMU
the package.  Timo, are you still maintaining libaudio-flac-decoder-perl ?
The last maintainer upload was two years ago.
-- 
Niko Tyni   ntyni@debian.org




Severity set to `serious' from `normal' Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Sun, 19 Oct 2008 21:03:10 GMT) Full text and rfc822 format available.

Bug marked as found in version 0.2-1. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Sun, 19 Oct 2008 21:03:11 GMT) Full text and rfc822 format available.

Tags added: etch Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 20 Oct 2008 06:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>:
Bug#501301; Package libaudio-flac-decoder-perl. (Thu, 23 Oct 2008 18:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>. (Thu, 23 Oct 2008 18:15:04 GMT) Full text and rfc822 format available.

Message #21 received at 501301@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: control@bugs.debian.org
Cc: 501301@bugs.debian.org
Subject: tagging 501301
Date: Thu, 23 Oct 2008 21:14:25 +0300
# Automatically generated email from bts, devscripts version 2.10.35
# the unofficial RC bug thingy seems to ignore this otherwise
tags 501301 lenny sid





Tags added: lenny, sid Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Thu, 23 Oct 2008 18:15:05 GMT) Full text and rfc822 format available.

Reply sent to Riku Voipio <riku.voipio@iki.fi>:
You have taken responsibility. (Mon, 27 Oct 2008 20:54:06 GMT) Full text and rfc822 format available.

Notification sent to Daniel Barlow <dan@telent.net>:
Bug acknowledged by developer. (Mon, 27 Oct 2008 20:54:07 GMT) Full text and rfc822 format available.

Message #28 received at 501301-close@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 501301-close@bugs.debian.org
Subject: Bug#501301: fixed in libaudio-flac-decoder-perl 0.2.dfsg-0.1
Date: Mon, 27 Oct 2008 20:49:57 +0000
Source: libaudio-flac-decoder-perl
Source-Version: 0.2.dfsg-0.1

We believe that the bug you reported is fixed in the latest version of
libaudio-flac-decoder-perl, which is due to be installed in the Debian FTP archive:

libaudio-flac-decoder-perl_0.2.dfsg-0.1.diff.gz
  to pool/main/liba/libaudio-flac-decoder-perl/libaudio-flac-decoder-perl_0.2.dfsg-0.1.diff.gz
libaudio-flac-decoder-perl_0.2.dfsg-0.1.dsc
  to pool/main/liba/libaudio-flac-decoder-perl/libaudio-flac-decoder-perl_0.2.dfsg-0.1.dsc
libaudio-flac-decoder-perl_0.2.dfsg-0.1_i386.deb
  to pool/main/liba/libaudio-flac-decoder-perl/libaudio-flac-decoder-perl_0.2.dfsg-0.1_i386.deb
libaudio-flac-decoder-perl_0.2.dfsg.orig.tar.gz
  to pool/main/liba/libaudio-flac-decoder-perl/libaudio-flac-decoder-perl_0.2.dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 501301@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Riku Voipio <riku.voipio@iki.fi> (supplier of updated libaudio-flac-decoder-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 27 Oct 2008 21:18:25 +0200
Source: libaudio-flac-decoder-perl
Binary: libaudio-flac-decoder-perl
Architecture: source i386
Version: 0.2.dfsg-0.1
Distribution: unstable
Urgency: medium
Maintainer: Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>
Changed-By: Riku Voipio <riku.voipio@iki.fi>
Description: 
 libaudio-flac-decoder-perl - Perl module providing an object-oriented FLAC decoder
Closes: 501301
Changes: 
 libaudio-flac-decoder-perl (0.2.dfsg-0.1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * Replace copyrighted test.flac with a snip of recording of RMS singing
     the free software song, closes: #501301
   * Adjust testsuite to match new testfile
Checksums-Sha1: 
 9bfd08ca91b2d980875741c7fa124e4f6024baab 1169 libaudio-flac-decoder-perl_0.2.dfsg-0.1.dsc
 64ef4e7fb347156354c8ff301ddfb18fa60ebf82 150657 libaudio-flac-decoder-perl_0.2.dfsg.orig.tar.gz
 4a60242d3fad4f3d28eac696a33765bbb3e8ba6a 3989 libaudio-flac-decoder-perl_0.2.dfsg-0.1.diff.gz
 172584ad31cb46b5a14ae918e12abc951e699861 18940 libaudio-flac-decoder-perl_0.2.dfsg-0.1_i386.deb
Checksums-Sha256: 
 79228e54c23b8b8ff5322fc4c0592761bcfea1eb34a5f96e92b220d3920e8e5f 1169 libaudio-flac-decoder-perl_0.2.dfsg-0.1.dsc
 cd6d2c3e57442983a2558e96d5d8898bdd7a0012285c916d0309e174fc93aaa5 150657 libaudio-flac-decoder-perl_0.2.dfsg.orig.tar.gz
 22c8da4cabbd084b05252609884365c9795873745b2414a47d6c185d8c90fa01 3989 libaudio-flac-decoder-perl_0.2.dfsg-0.1.diff.gz
 a02e69bea03ce752a27623a17d013ad5d0c2da6b3b511ce49237072424e89c12 18940 libaudio-flac-decoder-perl_0.2.dfsg-0.1_i386.deb
Files: 
 f9a82b2d7f8ee19910fb3999702d06e0 1169 perl optional libaudio-flac-decoder-perl_0.2.dfsg-0.1.dsc
 193d54db2d4546d9a0cad1c9615a7b71 150657 perl optional libaudio-flac-decoder-perl_0.2.dfsg.orig.tar.gz
 048bbc8e9241585b4f54792300ae1cef 3989 perl optional libaudio-flac-decoder-perl_0.2.dfsg-0.1.diff.gz
 dd0851b986fbd6dc6c1174474c9b5ece 18940 perl optional libaudio-flac-decoder-perl_0.2.dfsg-0.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFJBhq0ibPvMsrqrwMRAtqgAKCBlGLRMScoyGwRgPu1I1GOQPIBlACfZahf
0IfsKzCeitEjce3w515n4IY=
=RQmT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 07:29:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:57:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.